Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155479 (SMBBrowsing) - Samba via kDE browser isn't secured
Summary: Samba via kDE browser isn't secured
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: SMBBrowsing
Product: Fedora
Classification: Fedora
Component: kdebase
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-20 19:04 UTC by David Sherman
Modified: 2008-02-15 23:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-15 23:06:48 UTC


Attachments (Terms of Use)

Description David Sherman 2005-04-20 19:04:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
If I create a "samba share" for one linux distribition, I can use that share in a Linux distribution. Lets say I create a share in Fedora/suse, etc called download. I then can use nmap to scan all the IP addresses on my network. Then I can do a http://192.168.1.xxx and open the share of either a Windows machine or Linux machine

Version-Release number of selected component (if applicable):
Broswer

How reproducible:
Always

Steps to Reproduce:
1. open a broswer
2.
3.
  

Expected Results:  I would expect that if I open a share to another machine to be asked for user name and passowrd. This is the default of Windows 2000. Windows XP acts like Linux as shares are open.

Additional info:

Comment 1 David Sherman 2006-01-31 00:33:09 UTC
Open Suse 10 fixed this bug.

Comment 2 Christian Iseli 2007-01-20 00:07:15 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 3 Matthew Miller 2007-04-06 15:05:58 UTC
Fedora Core 3 and Fedora Core 4 are no longer supported. If you could retest
this issue on a current release or on the latest development / test version, we
would appreciate that. Otherwise, this bug will be marked as CANTFIX one month
from now. Thanks for your help and for your patience.


Comment 4 petrosyan 2008-02-15 23:06:48 UTC
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.


Note You need to log in before you can comment on or make changes to this bug.